import { request } from '@/service/request';

/**
 * 确定拆单
 * @param data
 * @returns
 */
export function confirmSplit(data: any) {
  return request({
    url: '/platform/order/confirmSplit',
    method: 'post',
    data
  });
}

/**
 * 手动拆单处理
 * @param data
 * @returns
 */
export function manualSplit(data: any) {
  return request({
    url: '/platform/order/manualSplit',
    method: 'post',
    data
  });
}

/**
 * 删除临时子订单
 */
export function deleteTempSubOrder(id: string) {
  return request({
    url: `/platform/order/deleteTempSubOrder?subOrderNumber=${id}`,
    method: 'DELETE'
  });
}
